// 
// LAYOUT
// 

.section_layout {

    h2 {
        font-size: 2.5rem;
        font-weight: bold;
    }

    .field {
        margin: 0;
    }

    // background
    &:nth-child(even) {
        background: #EEEEEE;
    }

    // extra class with module:
    // https://www.drupal.org/project/layout_builder_styles
    &.white {
        background: #FFFFFF;
    }
    &.dark {
        background: $primary-color;
        color: #FFFFFF;
    }
    &.light {
        background: #EEEEEE;
    }
    &.full {
        padding: 0;

        & > .container {
            width: auto !important;
            margin: 0px;
            padding: 0 !important;
        }

        .layout__region {
            padding: 0 !important;
        }

        .layout-content {
            margin: 0 !important;
        }

    }

    // title region
    .layout__region--title {
        flex: 0 1 100%;
        padding: 0 20px 50px 20px;
        text-align: center;

        h2 {
            font-size: 4rem;
            font-weight: bold;
        }

    }

    // footer region
    .layout__region--footer {
        flex: 0 1 100%;
        padding: 50px 20px 0 20px;
        text-align: center;
    }

}

// 
// EXTRA
// 

.layout--one-column-extra,
.layout--two-column-extra,
.layout--three-column-extra,
.layout--four-column-extra {
    padding: 5rem 0;

    .layout-content {

        & > .layout__region--first,
        & > .layout__region--second,
        & > .layout__region--third,
        & > .layout__region--fourth {
            margin-bottom: 2rem;
        }

    }

    @media (min-width: $screen-md-min) {

        & {
            padding: 8rem 0;
    
            .layout-content {
                display: flex;
                flex-wrap: wrap;
                margin: 0 -20px;
    
                & > .layout__region--first,
                & > .layout__region--second,
                & > .layout__region--third,
                & > .layout__region--fourth {
                    padding: 0 20px;
                    margin-bottom: 0;
                }
    
            }
    
        }
    
    }
    
}

// one cols
.layout--one-column-extra {

    @media (min-width: $screen-md-min) {

        .layout-content > .layout__region--first {
            flex: 0 1 100%;
            padding: 0 20px;
        }

    }

}

// two cols
.layout--two-column-extra {

    @media (min-width: $screen-md-min) {

        .layout-content > .layout__region--first,
        .layout-content > .layout__region--second {
            flex: 0 1 50%;
        }
    
    }

}

// three cols
.layout--three-column-extra {

    @media (min-width: $screen-md-min) {
    
        .layout-content > .layout__region--first,
        .layout-content > .layout__region--third {
            flex: 0 1 33%;
        }
        .layout-content > .layout__region--second {
            flex: 0 1 34%;
        }

    }

}

// four cols
.layout--four-column-extra {

    @media (min-width: $screen-md-min) {
    
        .layout-content > .layout__region--first,
        .layout-content > .layout__region--second,
        .layout-content > .layout__region--third,
        .layout-content > .layout__region--fourth {
            flex: 0 1 25%;
        }
    
    }

}

//
// HERO
// 

.layout--hero {

    .block {
        display: flex;
        height: 75vh;
        align-items: center;
        justify-content: center;
        position: relative;

        * {
            text-align: center;
        }
        h2 {
            font-size: 8rem;
        }

    }

    .field--name-field-image {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;

        img {
            max-width: none;
            height: 100vh;
            width: auto;
        }
        
    }

    .field--name-field-text {
        position: relative;
        z-index: 1;
        color: #FFFFFF;
    }

}

// 
// FLUID
// 

.layout--fluid-column {
    padding: 50px 0 25px 0;

    .layout-content {

        .layout__region--fluid {
    
            .block {
                margin-bottom: 25px;
            }
    
        }
    
    }

    @media (min-width: $screen-md-min) {

        padding: 80px 0 55px 0;
    
        .layout-content {
            margin: 0 -20px;
    
            .layout__region--fluid {
                display: flex;
                flex-wrap: wrap;
        
                .block {
                    width: 33.33%;
                    padding: 0 20px;
                    margin-bottom: 25px;
                }
        
            }
        
        }

    }

}
